Get Pool Status
GET
/zfs/pools/{guid}/status
const url = 'https://sylve.lan:8181/api/zfs/pools/example/status';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/zfs/pools/example/status \ --header 'Authorization: <Authorization>'Get the status of a ZFS pool
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”guid
required
string
Pool GUID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
action
string
dedup
object
key
additional properties
object
alloc_space
string
checksum_errors
string
class
string
def_space
string
guid
string
name
string
path
string
read_errors
string
rep_dev_size
string
state
string
total_space
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
write_errors
string
l2cache
object
key
additional properties
object
alloc_space
string
checksum_errors
string
class
string
def_space
string
guid
string
name
string
path
string
read_errors
string
rep_dev_size
string
state
string
total_space
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
write_errors
string
logs
object
key
additional properties
object
alloc_space
string
checksum_errors
string
class
string
def_space
string
guid
string
name
string
path
string
read_errors
string
rep_dev_size
string
state
string
total_space
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
write_errors
string
name
string
pool_guid
string
scan_stats
object
bytes_per_scan
string
end_time
string
errors
string
examined
string
function
string
issued
string
issued_bytes_per_scan
string
pass_start
string
processed
string
scrub_pause
string
scrub_spent_paused
string
skipped
string
start_time
string
state
string
to_examine
string
spa_version
string
spares
object
key
additional properties
object
alloc_space
string
checksum_errors
string
class
string
def_space
string
guid
string
name
string
path
string
read_errors
string
rep_dev_size
string
state
string
total_space
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
write_errors
string
special
object
key
additional properties
object
alloc_space
string
checksum_errors
string
class
string
def_space
string
guid
string
name
string
path
string
read_errors
string
rep_dev_size
string
state
string
total_space
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
write_errors
string
state
string
status
string
txg
string
vdevs
object
key
additional properties
object
alloc_space
string
checksum_errors
string
class
string
def_space
string
guid
string
name
string
path
string
read_errors
string
rep_dev_size
string
state
string
total_space
string
vdev_type
string
vdevs
object
key
additional properties
object recursive
write_errors
string
zpl_version
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "action": "example", "dedup": { "additionalProperty": { "alloc_space": "example", "checksum_errors": "example", "class": "example", "def_space": "example", "guid": "example", "name": "example", "path": "example", "read_errors": "example", "rep_dev_size": "example", "state": "example", "total_space": "example", "vdev_type": "example", "vdevs": { "additionalProperty": {} }, "write_errors": "example" } }, "l2cache": { "additionalProperty": { "alloc_space": "example", "checksum_errors": "example", "class": "example", "def_space": "example", "guid": "example", "name": "example", "path": "example", "read_errors": "example", "rep_dev_size": "example", "state": "example", "total_space": "example", "vdev_type": "example", "vdevs": { "additionalProperty": {} }, "write_errors": "example" } }, "logs": { "additionalProperty": { "alloc_space": "example", "checksum_errors": "example", "class": "example", "def_space": "example", "guid": "example", "name": "example", "path": "example", "read_errors": "example", "rep_dev_size": "example", "state": "example", "total_space": "example", "vdev_type": "example", "vdevs": { "additionalProperty": {} }, "write_errors": "example" } }, "name": "example", "pool_guid": "example", "scan_stats": { "bytes_per_scan": "example", "end_time": "example", "errors": "example", "examined": "example", "function": "example", "issued": "example", "issued_bytes_per_scan": "example", "pass_start": "example", "processed": "example", "scrub_pause": "example", "scrub_spent_paused": "example", "skipped": "example", "start_time": "example", "state": "example", "to_examine": "example" }, "spa_version": "example", "spares": { "additionalProperty": { "alloc_space": "example", "checksum_errors": "example", "class": "example", "def_space": "example", "guid": "example", "name": "example", "path": "example", "read_errors": "example", "rep_dev_size": "example", "state": "example", "total_space": "example", "vdev_type": "example", "vdevs": { "additionalProperty": {} }, "write_errors": "example" } }, "special": { "additionalProperty": { "alloc_space": "example", "checksum_errors": "example", "class": "example", "def_space": "example", "guid": "example", "name": "example", "path": "example", "read_errors": "example", "rep_dev_size": "example", "state": "example", "total_space": "example", "vdev_type": "example", "vdevs": { "additionalProperty": {} }, "write_errors": "example" } }, "state": "example", "status": "example", "txg": "example", "vdevs": { "additionalProperty": { "alloc_space": "example", "checksum_errors": "example", "class": "example", "def_space": "example", "guid": "example", "name": "example", "path": "example", "read_errors": "example", "rep_dev_size": "example", "state": "example", "total_space": "example", "vdev_type": "example", "vdevs": { "additionalProperty": {} }, "write_errors": "example" } }, "zpl_version": "example" }, "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}